#include "episodenode.h"
#include <mythtv/mythcontext.h>

static int counter = 0;
static int epCounter = 0;

EpisodeNode::EpisodeNode(QString anime, QString name)
    : GenericTree(name, 1, true) {

    EpisodeNode::longName = name;
    EpisodeNode::anime = anime;


    QString numberAndTitle = longName.right(longName.length() - anime.length() - 3);

    int extIndex = numberAndTitle.findRev('.');
    EpisodeNode::extension = numberAndTitle.right(numberAndTitle.length() - extIndex);

    numberAndTitle = numberAndTitle.left(extIndex);
    int index = numberAndTitle.find('-');

    EpisodeNode::number = numberAndTitle.left(index-1);
    EpisodeNode::title = numberAndTitle.right(numberAndTitle.length() - index -2);


    GenericTree::setString(number + " - " + title);
    GenericTree::setInt(counter++);

    GenericTree::setAttribute(0, epCounter++);

   	//VERBOSE(VB_IMPORTANT, "+e");
}

EpisodeNode::~EpisodeNode() {
	//VERBOSE(VB_IMPORTANT, "-e");
}
