#ifndef ANIMEINFO_H_INCLUDED
#define ANIMEINFO_H_INCLUDED

#include <mythtv/uitypes.h>
//#include <mythtv/uilistbtntype.h>
//#include <mythtv/xmlparse.h>
//#include <mythtv/mythdialogs.h>

#include "animenode.h"

class AnimeInfo : public MythThemedDialog {

public:
    /**
    additional arguments
    anime: the anime for which the information will be shown
    */
    AnimeInfo(AnimeNode* anime, MythMainWindow *parent, QString windowName,
           QString themeFilename, const char *name = 0);
    ~AnimeInfo();

private:
    UITextType* title;
    UITextType* description;
    UITextType* categories;


protected:
    /**
    Called automatically on keypress.
    */
//    void keyPressEvent(QKeyEvent *e);


private:
    void initTheme(AnimeNode* anime);

};

#endif // ANIMEINFO_H_INCLUDED
