using namespace std;

//#include <qapplication.h>
#include <qimage.h>
#include <qdir.h>

#include "mythanime.h"
#include <mythtv/mythcontext.h>
#include <mythtv/mythdbcon.h>
#include <mythtv/lcddevice.h>
#include <mythtv/libmythui/myththemedmenu.h>

extern "C" {
    int mythplugin_init(const char *libversion);
    int mythplugin_run(void);
    int mythplugin_config(void);
}

int mythplugin_init(const char *libversion)
{
    if (!gContext->TestPopupVersion("mythanime", libversion, MYTH_BINARY_VERSION))
        return -1;

    return 0;
}

int mythplugin_run (void)
{
    gContext->addCurrentLocation("mythanime");

    MythAnime anime(gContext->GetMainWindow(), "anime", "anime-");
    anime.exec();

    gContext->removeCurrentLocation();

    return 1;
}

int mythplugin_config (void) { return 0; }
